curl --request GET \
--url https://api.myscalev.com/v3/products/{product_id}/partners \
--header 'Authorization: Bearer <token>'{
"data": [
{
"affiliate_pro_domains": [
{
"business_id": 123,
"full_url": "<string>",
"id": 123
}
],
"affiliate_pro_links": [
{
"checkout_url": "<string>",
"domain": "<string>",
"product_url": "<string>"
}
],
"affiliate_status": "<string>",
"approved_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"custom_domains": [
{
"business_id": 123,
"full_url": "<string>",
"id": 123
}
],
"id": 123,
"message_to_product_owner": "<string>",
"partner": {
"account_holder": "<string>",
"email": "jsmith@example.com",
"id": 123,
"is_banned": true,
"logo": "<string>",
"unique_id": "<string>",
"username": "<string>"
},
"partnership_type": "<string>",
"rejected_at": "2023-11-07T05:31:56Z",
"requested_at": "2023-11-07T05:31:56Z",
"store_id": 123
}
],
"is_paginated": true,
"has_next": false,
"last_id": 99,
"page_size": 25
}Requires the product:list machine scope. Retrieves a paginated list of product partners.
curl --request GET \
--url https://api.myscalev.com/v3/products/{product_id}/partners \
--header 'Authorization: Bearer <token>'{
"data": [
{
"affiliate_pro_domains": [
{
"business_id": 123,
"full_url": "<string>",
"id": 123
}
],
"affiliate_pro_links": [
{
"checkout_url": "<string>",
"domain": "<string>",
"product_url": "<string>"
}
],
"affiliate_status": "<string>",
"approved_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"custom_domains": [
{
"business_id": 123,
"full_url": "<string>",
"id": 123
}
],
"id": 123,
"message_to_product_owner": "<string>",
"partner": {
"account_holder": "<string>",
"email": "jsmith@example.com",
"id": 123,
"is_banned": true,
"logo": "<string>",
"unique_id": "<string>",
"username": "<string>"
},
"partnership_type": "<string>",
"rejected_at": "2023-11-07T05:31:56Z",
"requested_at": "2023-11-07T05:31:56Z",
"store_id": 123
}
],
"is_paginated": true,
"has_next": false,
"last_id": 99,
"page_size": 25
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Last ID for cursor-based pagination
Number of items per page (default: 25, max: 25)
x <= 2525
Paginated list of product partners